# Places API (New)

The Places API allows developers to access a variety of search and retrieval endpoints for a Place.

- [REST Resource: v1.places](https://developers.google.com/maps/documentation/places/web-service/reference/rest#v1.places)
- [REST Resource: v1.places.photos](https://developers.google.com/maps/documentation/places/web-service/reference/rest#v1.places.photos)

## Service: places.googleapis.com

To call this service, we recommend that you [load the Places library](https://developers.google.com/maps/documentation/javascript/place-get-started#load-places-library) using the Maps JavaScript API or use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://places.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://places.googleapis.com`

## REST Resource: [v1.places](https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places/autocomplete` | `POST /v1/places:autocomplete` Returns predictions for the given input. |
| `https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places/get` | `GET /v1/{name=places/*}` Get the details of a place based on its resource name, which is a string in the `places/{place_id}` format. |
| `https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places/searchNearby` | `POST /v1/places:searchNearby` Search for places near locations. |
| `https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places/searchText` | `POST /v1/places:searchText` Text query based place search. |

## REST Resource: [v1.places.photos](https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places.photos)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/places/web-service/reference/rest/v1/places.photos/getMedia` | `GET /v1/{name=places/*/photos/*/media}` Get a photo media with a photo reference string. |